Skip to main content
GET
/
api
/
v1
/
assets
/
{assetId}
/
stats
Get asset stats
curl --request GET \
  --url https://partners.centaur.io/api/v1/assets/{assetId}/stats \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "data": {
    "subject": {
      "id": 123,
      "name": "<string>",
      "symbol": "<string>",
      "logoUrl": "<string>"
    },
    "filtersApplied": {
      "traderIds": [
        123
      ],
      "direction": "long",
      "appliedTimeRange": {
        "startTime": "2023-11-07T05:31:56Z",
        "endTime": "2023-11-07T05:31:56Z"
      }
    },
    "summary": {
      "marketPositioning": {
        "label": "long",
        "longCount": 123,
        "shortCount": 123,
        "longPercentage": 123,
        "shortPercentage": 123
      },
      "topTraders": {
        "long": [
          {
            "id": 123,
            "name": "<string>",
            "slug": "<string>",
            "avatarUrl": "<string>"
          }
        ],
        "short": [
          {
            "id": 123,
            "name": "<string>",
            "slug": "<string>",
            "avatarUrl": "<string>"
          }
        ]
      }
    }
  },
  "requestId": "c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8"
}

Authorizations

x-api-key
string
header
default:<partner-api-key>
required

Partner API key issued by Centaur.

Path Parameters

assetId
integer
required

Asset ID to fetch stats for.

Required range: x >= 1

Query Parameters

traderIds

Filter to specific trader IDs.

direction
enum<string>

Filter to a single direction: long or short.

Available options:
long,
short
startTime
string<date-time>

Inclusive ISO-8601 lower time bound.

endTime
string<date-time>

Inclusive ISO-8601 upper time bound.

Response

Asset stats

success
enum<boolean>
required
Available options:
true
data
object
required
requestId
string
required
Example:

"c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8"

Last modified on April 20, 2026